Project

General

Profile

Bug #9656

check for -fno-defer-pop option in ext/dl/extconf.rb

Added by nagachika (Tomoyuki Chikanaga) about 4 years ago. Updated almost 4 years ago.

Status:
Closed
Priority:
Normal
Target version:
ruby -v:
2.2.0
[ruby-dev:48060]

Description

Clang 5.1 no longer support -fno-defer-pop option.

Already commited at r45365.
This ticket is only for backport management.

Associated revisions

Revision 29fdecfe
Added by usa (Usaku NAKAMURA) almost 4 years ago

merge revision(s) 45365: [Backport #9656]

dl/extconf.rb: check for -fno-defer-pop option

* ext/dl/extconf.rb: check for -fno-defer-pop option, since clang

5.1 no longer support -fno-defer-pop option.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@45751 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 45751
Added by usa (Usaku NAKAMURA) almost 4 years ago

merge revision(s) 45365: [Backport #9656]

dl/extconf.rb: check for -fno-defer-pop option

* ext/dl/extconf.rb: check for -fno-defer-pop option, since clang

5.1 no longer support -fno-defer-pop option.

Revision 52950d94
Added by nagachika (Tomoyuki Chikanaga) almost 4 years ago

merge revision(s) r45365: [Backport #9656]

dl/extconf.rb: check for -fno-defer-pop option

* ext/dl/extconf.rb: check for -fno-defer-pop option, since clang

5.1 no longer support -fno-defer-pop option.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@46303 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 46303
Added by nagachika (Tomoyuki Chikanaga) almost 4 years ago

merge revision(s) r45365: [Backport #9656]

dl/extconf.rb: check for -fno-defer-pop option

* ext/dl/extconf.rb: check for -fno-defer-pop option, since clang

5.1 no longer support -fno-defer-pop option.

History

#1 [ruby-dev:48143] Updated by usa (Usaku NAKAMURA) almost 4 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED to 2.0.0: DONE, 2.1: REQUIRED

backported into ruby_2_0_0 at r45751.

#2 [ruby-dev:48270] Updated by nagachika (Tomoyuki Chikanaga) almost 4 years ago

  • Backport changed from 2.0.0: DONE, 2.1: REQUIRED to 2.0.0: DONE, 2.1: DONE

Backported into ruby_2_1 branch at r46303.

Also available in: Atom PDF